class EnterUpperPlayfieldEvent:
    def __init__(self, playerState, flipper):
        self.playerState = playerState
        self.flipper = flipper

    def trigger(self):
        self.flipper.activate()
        self.playerState.startUpperPlayfieldTimer()